curl "https://orders.balaipedia.com/v1/transactions?limit=20" \
-H "Authorization: Bearer YOUR_KEY"
{"object":"list","has_more":false,"next_cursor":null,"data":[
{"id":581,"type":"charge","amount":-0.15,"balance_after":42.2,"currency":"USD","order_id":"BP-7K3M9QXA","created_at":"2026-11-12T03:10:00.000Z"}
]}
Account
List transactions
Top-ups, charges, refunds and adjustments.
GET
/
v1
/
transactions
curl "https://orders.balaipedia.com/v1/transactions?limit=20" \
-H "Authorization: Bearer YOUR_KEY"
{"object":"list","has_more":false,"next_cursor":null,"data":[
{"id":581,"type":"charge","amount":-0.15,"balance_after":42.2,"currency":"USD","order_id":"BP-7K3M9QXA","created_at":"2026-11-12T03:10:00.000Z"}
]}
Top-ups, charges, refunds and adjustments, newest first. Your credit balance and transactions are not affected by the order data cleanup.
Query parameters
Response
type is one of topup, charge, refund, adjustment. Charges are negative numbers. order_id is nullable (top-ups have no order).
curl "https://orders.balaipedia.com/v1/transactions?limit=20" \
-H "Authorization: Bearer YOUR_KEY"
{"object":"list","has_more":false,"next_cursor":null,"data":[
{"id":581,"type":"charge","amount":-0.15,"balance_after":42.2,"currency":"USD","order_id":"BP-7K3M9QXA","created_at":"2026-11-12T03:10:00.000Z"}
]}